Subject: bug#24966: 26.0.50; test-completion with alist COLLECTION calls PREDICATE incorrectly

From: Noam Postavsky <[email-masked]>
Date: Mon, 28 Nov 2016 16:03:29 -0500

On Mon, Nov 28, 2016 at 3:59 PM, Mark Oteiza <[email-masked]> wrote:
>>
>> [email-masked] writes:
>> >
>> > I tentatively suggest the patch below, but I want to add some tests
>> > before commiting anything.
>>
>> While adding tests, I found another inconsistency: when given a
>> hashtable with symbol keys, test-completion passes the symbol-name to
>> PREDICATE, while all-completions and try-completion pass the original
>> symbol key.  Here are two patches, the first for this bug, and the
>> second for the other inconsistency.
>
> The first hunk of 2/2 isn't applying here.

Oh, that's probably because I generated it with -w, so some whitespace
changes are missing in 1/2. I'll post a full patch tonight.